Bug 835032 - [RHEVM] [backend] [Setup Host Networks] cannot fill in default gateway when rhevm interface VLANed
[RHEVM] [backend] [Setup Host Networks] cannot fill in default gateway when r...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 All
medium Severity high
: ---
: ---
Assigned To: Alona Kaplan
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 06:19 EDT by Martin Pavlik
Modified: 2016-02-10 14:50 EST (History)
10 users (show)

See Also:
Fixed In Version: si12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:05:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 (208.50 KB, image/png)
2012-06-25 06:20 EDT, Martin Pavlik
no flags Details
screenshot 2 (191.62 KB, image/png)
2012-06-25 06:20 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-06-25 06:19:58 EDT
Description of problem:
When rhevm interface is connected over VLAN (see screenshot 1 with interface configuration). Field default gateway cannot be filled in Edit Management network dialog. If it is filled following error message appears in UI: The default gateway should be set only on engine network (see screenshot2)

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.1.0-2.el6ev 

How reproducible:
100%

Steps to Reproduce:
1. Manually setup VLAN interface on host
2. Use the VLAN interface when adding host to setup
3. Go to Hosts -> your host -> Network Interfaces -> Setup Host Networks -> click the pencil icon on rhevm interface
   a) Boot protocol: Static
   b) fill in IP/MASK/GW
   c) click OK, click OK
  
Actual results:
Error appears

Expected results:
Default GW should be processed correctly for rhevm interface

Additional info:
only following WARN appears in engine.log
2012-06-25 10:52:24,793 WARN  [org.ovirt.engine.core.bll.SetupNetworksCommand] (ajp-/0.0.0.0:8009-18) [1e80e89a] CanDoAction of action SetupNetworks failed. Reasons:VAR__ACTION__SETUP,VAR__TYPE__NETWORKS,NETWORK_ATTACH_ILLEGAL_GATEWAY
Comment 1 Martin Pavlik 2012-06-25 06:20:29 EDT
Created attachment 594151 [details]
screenshot 1
Comment 2 Martin Pavlik 2012-06-25 06:20:47 EDT
Created attachment 594152 [details]
screenshot 2
Comment 3 Moti Asayag 2012-07-22 05:27:27 EDT
Bug isn't reproduced via rest-api setup-networks.

Looking at the parameters sent from webadmin to the backend, it looks that the gateway isn't reported on the ovirtmgmt interface (ethx.vlanid) but for the underlying interface (ethx).

Moving to webadmin component.
Comment 5 Alona Kaplan 2012-07-23 07:46:46 EDT
fixed in commit 74b13500e45b1a1766b1a4e88d33da950acd35b4

Note You need to log in before you can comment on or make changes to this bug.